<?php

 /**
 * Common Functions and Utilities for Controller classes
 *
 * This class provide Shortcuts to the functions on the framework core (for now)
 *
 * Licensed under The GPL v2 License
 * Redistributions of files must retain the above copyright notice.
 *
 * @link			none yet
 * @package			core
 * @subpackage		core.Superclasses
 * @license			GPL v2 License

 * IMPORTANT NOTE: class name will be rewrited as [prefix]Controller (see init.php file), to get unique class names between plugins.
 */

class PressbackupController
{
	public function set ($key, $value)
	{
		$fp = PressbackupCore::$instance;
		return $fp->View->set($key, $value);
	}

	public function redirect ($url=array(), $exit= true)
	{
		$fp = PressbackupCore::$instance;
		return $fp->redirect($url, $exit);
	}

	public function import ($name, $type = 'Lib')
	{
		$fp = PressbackupCore::$instance;
		return $fp->import($name, $type);
	}

	public function __get ( $name )
	{
		$fp = PressbackupCore::$instance;
		if(isset($fp->$name)) {
			return $fp->$name;
		}
	}
}
?>
